# constants
scoreboard objectives add mineclash.constants dummy
scoreboard players set color.player1 mineclash.constants 16711914
scoreboard players set color.player2 mineclash.constants 49663
scoreboard players add version mineclash.constants 0

# create a scoreboard to store temporary data
scoreboard objectives add mineclash.temp dummy
scoreboard players reset * mineclash.temp

# create a scoreboard for the game stats
scoreboard objectives add mineclash.stats dummy
scoreboard players add games mineclash.stats 0

# create a scoreboard player id system
scoreboard objectives add mineclash.players dummy
scoreboard players add $counter mineclash.players 0

# create a scoreboards for the game data
scoreboard objectives add mineclash.game dummy
scoreboard objectives add mineclash.game.rules dummy {"text": "Mineclash - Rules"}
scoreboard objectives add mineclash.game.score dummy {"text": "Mineclash"}

# NBT storage
# attributes: temp, strings
#define storage mineclash:data

# load strings if not already defined
execute unless data storage mineclash:data strings{} run function mineclash:core/main/load_strings

# apply updates
execute unless score version mineclash.constants matches 1 run function mineclash:core/main/updates/1

# create game teams
team add mineclash.player1
team add mineclash.player2
team modify mineclash.player1 color dark_purple
team modify mineclash.player2 color aqua